@tailwind base;
@tailwind components;
@tailwind utilities;

h2 {
  margin: auto;
}

.stackImageServices {
  @apply rounded-full bg-site-background p-2 lg:p-4 h-auto w-1/4 max-w-stackImage;
}

.section {
  height: calc(100vh - 5rem);
}

.presentation_image {
  height: 100%;
  background: no-repeat url("/assets/dylan.webp");
  background-size: cover;
  background-position: center;
}

@media only screen and (min-width: 1100px) {
  .presentation_image {
    background: none;
  }
}

.absoluteImage {
  top: -30%;
  left: calc(50% - 120px);
}

@media (max-width: 600px) {
  .absoluteImage {
    top: -10%;
    left: calc(50% - 56px);
  }
}

.bounce-in-top {
  animation: bounce-in-top 1.1s both;
}

@keyframes bounce-in-top {
  0% {
    transform: translateY(-500px);
    animation-timing-function: ease-in;
    opacity: 0;
  }
  38% {
    transform: translateY(0);
    animation-timing-function: ease-out;
    opacity: 1;
  }
  55% {
    transform: translateY(-65px);
    animation-timing-function: ease-in;
  }
  72% {
    transform: translateY(0);
    animation-timing-function: ease-out;
  }
  81% {
    transform: translateY(-28px);
    animation-timing-function: ease-in;
  }
  90% {
    transform: translateY(0);
    animation-timing-function: ease-out;
  }
  95% {
    transform: translateY(-8px);
    animation-timing-function: ease-in;
  }
  100% {
    transform: translateY(0);
    animation-timing-function: ease-out;
  }
}

.slide-in-left {
  animation: slide-in-left 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}

@keyframes slide-in-left {
  0% {
    transform: translateX(-1000px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}
